// Persistence of Vision Ray Tracer Scene Description File
// File: Skylight demo D.pov
// Vers: 3.5
// Desc: Test scene for Skylight.inc 0.6b
// Date: 2002 dec 05
// Auth: Philippe Debar phdebar@yahoo.fr



// +h126 +w224 +a0.15 +am2 +r2 
// +h180 +w320 +a0.15 +am2 +r2 
// +h450 +w800 +a0.15 +am2 +r2 

// Same as Demo A, uses Jaime Vives Piqueres' lightsys II
// with a daylight film

// Find Jaime Vives Piqueres' lightsys II at
// http://www.ignorancia.org/t_lightsys.php
// -> Check it! <-
// We can have a version problem here as both our include
// files are currently in development 

#version 3.5;

global_settings {
  assumed_gamma 1.0
}


#include "lightsys_macros.inc"  // lightsys macros
#include "lightsys_consts.inc"  // predefined constants 
//  exposure control (global light amount):
#declare EXPOSURE=1.5;
// film temperature (global color balancing):
#declare REF_WHITE=KelvinToRGB(5500); // 5500k for simulating outdoor/daylight film
//   - color filter (global color-correction):
#declare COLOR_FILTER=0;            


// ================
#declare North=-z;
#declare DomeSize=1e2;


#declare UseSolarPosition=true;
#declare Intensity_Mult=.75;
#declare SolarPosition=< 12, 12, 25>;

#include "Skylight.inc"

// ================

#include "Skylight demo shared.inc"

// eof