// Persistence of Vision Ray Tracer Scene Description File
// File: Skylight demo C.pov
// Vers: 3.5
// Desc: Test scene for Skylight.inc 0.6b
// Date: 2002 dec 05
// Auth: Philippe Debar phdebar@yahoo.fr



// +h126 +w224 +a0.15 +am2 +r2 
// +h180 +w320 +a0.15 +am2 +r2 
// +h450 +w800 +a0.15 +am2 +r2 

// Same as Demo A, turbidity 8 and turbulence

#version 3.5;

global_settings {
  assumed_gamma 1.0
}

// ================
#declare North=-z;
#declare DomeSize=1e2;

#declare Current_Turbidity=8;

#declare UseSolarPosition=true;
#declare Intensity_Mult=.8;
#declare SolarPosition=< 8, 8, 25>;

#declare Turb_amount=<.3,1.2,.3>;
#declare Turb_param=<3, 1, 6>; // <lambda, omega, octaves>
#declare Turb_scale=.01;

#include "Skylight.inc"

// ================

#include "Skylight demo shared.inc"

// eof