// Persistence of Vision Ray Tracer Scene Description File
// File: Skylight Demo shared.inc
// Vers: 3.5
// Desc: Base test scene for Skylight.inc 0.6b
// Date: 2002 dec 05
// Auth: Philippe Debar phdebar@yahoo.fr


#version 3.5;

#declare fRad=true;
global_settings {
  #if (fRad)
    radiosity {
      pretrace_start 0.08           // start pretrace at this size
      pretrace_end   0.04           // end pretrace at this size
      count 35                      // higher -> higher quality (1..1600) [35]
      adc_bailout 0.01/2
      normal on
      }
  #end
}

camera {
  location <0,.75,-7.1>
  look_at  <0,2.1,0>
  up 1*y
  right 16/9*x
  direction 1.15*z
}


#default{pigment{color rgb .7} finish{ambient (fRad?0:.2)}}

light_source{
  SolarPosition,
  SunColor
  area_light 16*x 16*y 40,40 adaptive 1 circular orient
  }

box{
  <-DomeSize,-.1,-DomeSize>*1.01,
  <DomeSize,0,DomeSize>*1.01
  texture{
    pigment{
      cells
      color_map{
        [0.00 rgb <.5,.4,.2>]
        [0.50 rgb <.9,.6,.3>/.9]
        [1.00 rgb <.35,.2,.0>]
      }
      scale .33*.1
      warp{turbulence .15}
      scale 10
      rotate 10*y
    }
  }
}


difference
  {
  sphere{0, 1}
  #include "logo.inc"
  object{
    Povray_Logo
    scale .125
    translate <.17,.2,0>
    rotate -110*y
  }
  texture{
    pigment{rgbf <.90, .90, .88, .94>}
    finish {
      diffuse .2 ambient 0
      specular .6 roughness 2e-3
      reflection { 0.05, .75 fresnel on } conserve_energy
    }
  }
  interior{
    ior 1.5
    fade_distance 10 fade_power 1001
    caustics 2
  }
  translate <0,1,2.05>
  rotate  110*y
  translate -1.4*x
}

sphere{
  <0,1,2.05>, 1
  texture{
    pigment{rgb .1}
    finish {
      diffuse .1 ambient 0
      specular .6 roughness 2e-3
      reflection .9
    }
  }
  rotate  -10*y
  translate -1.4*x
}


sphere{
  <0,1,2.05>, 1
  texture{
    pigment{rgb .95}
    /*finish {
      diffuse .6 ambient 0
      specular .6 roughness 2e-2
    }*/
    normal{bumps .1 warp{turbulence .25} scale .1 }
  }
  rotate -130*y
  translate -1.4*x
}
